Subject: RE : [Sip] draft-ietf-sip-history-info-01.txt

From: PROUVOST Sébastien FTRD/DAC/ISS <[email-masked]>
Date: Thu, 22 Jan 2004 11:32:16 +0100

I fully support this proposal. 

The privacy regarding the history-info header relates to the privacy policy accorded to the target of the request (before it is retargeted). Therefore it shall not depend on the privacy policy accorded to the calling UA. The history-info header shall have its own privacy value. 
Moreover in case the request is retargeted more than once (particularly if the targets represent different users), it shall be possible to request privacy for a target independently of the others.  

Regards,
Sébastien Prouvost
France Télécom R&D/DAC/CAR

-----Message d'origine-----
De : Jesske, R [mailto:[email-masked]] 
Envoyé : vendredi 16 janvier 2004 10:29
À : [email-masked]
Cc : Poetzl, Joachim; Alexeitsev, D
Objet : [Sip] draft-ietf-sip-history-info-01.txt

Dear all,
in 1.3 Ensuring the Privacy of History_Info it is proposed to use a priv-value of Session or Header level privacy. I would like to propose a own privacy level for the history info, because the Information shows also information about the network. With regard to the provider operating a network some of the providers don't like to transmit information about call history. Or a redirecting party don't like to show the redirecting address. Therefore it should be possible to delete the history info at domain boundaries based on the privacy-value.

I propose the priv-value   =   "history_info"  for the whole History-Info header.

In addition a option would be useful where only parts (e.g Indes1.1) of the history info are restricted. That could be done with a privacy statement within the History-Info .

Best Regards

Roland

Deutsche Telekom AG
T Com Zentrale
Roland Jesske, T332-2
Section T33; Signalling, Gateways and Switching Systems 
Am Kavalleriesand 3, 64295 Darmstadt, Germany
Phone:  +49 6151 83-5940 
Fax:      +49 6151 83-4577 
email:   [email-masked]

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip